routes/web.php
<?php
use App\Models\Categories;

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Homepage\WeaponController;
use App\Http\Controllers\Homepage\DirectController;
use App\Http\Controllers\Homepage\CartsController;
use App\Http\Controllers\Homepage\Details\PistolController;

// admin
use App\Http\Controllers\Admin\Homepage\AdminHomeController;
use App\Http\Controllers\Admin\Homepage\SubcategoriesController;
use App\Http\Controllers\Admin\Homepage\CategoriesController;
use App\Http\Controllers\Admin\Homepage\InventoriesController;
use App\Http\Controllers\Admin\Homepage\BucketController;
use App\Http\Controllers\Admin\Homepage\UsersController;
use App\Http\Controllers\Admin\DatatablesController;
use App\Http\Controllers\HomeController;

// Livewire





/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    $categories = Categories::all();
   
    return view('welcome', compact('categories'));
})->name('welcome');


Route::resource('admin/bucket', BucketController::class);

Route::resource('/carts', CartsController::class);

Route::get('admin/users/data', [DatatablesController::class, 'dataUsers'])->name('users.data');
Route::resource('admin/users', UsersController::class);
Route::get('admin/inventories/data', [DatatablesController::class, 'dataInventories'])->name('inventories.data');
Route::resource('admin/inventories', InventoriesController::class);
Route::get('admin/sub-categories/data', [DatatablesController::class, 'dataSubcategories'])->name('subcategories.data');
Route::resource('admin/sub-categories', SubcategoriesController::class);
Route::get('admin/categories/data', [DatatablesController::class, 'dataCategories'])->name('categories.data');
Route::resource('admin/categories', CategoriesController::class);
Route::resource('admin', AdminHomeController::class);

Route::resource('/weapon/pistol', PistolController::class);
Route::resource('/weapon', WeaponController::class);

Auth::routes(['verify' => true]);

Route::get('order-list/code/{id}', [HomeController::class, 'modalDataHistori'])->name('order.modal');
Route::get('order-list/data', [HomeController::class, 'dataHistori'])->name('order.data');
Route::get('order-list', [HomeController::class, 'historical'])->name('order');

Route::put('bucket/unconfirm/{id}', [HomeController::class, 'unconfirmBucket'])->name('unconfirmBucket');
Route::put('bucket/confirm/{id}', [HomeController::class, 'confirmBucket'])->name('confirmBucket');

Route::get('carts/period/update/{id}', [HomeController::class, 'updateTriggerDuration'])->name('updateTriggerDuration');
Route::get('carts/period/modal/{id}', [HomeController::class, 'triggerDuration'])->name('triggerDuration');
Route::get('carts/modals/{id}', [HomeController::class, 'updateTriggerModal'])->name('updateTriggerModal');
Route::get('carts/modal/{id}', [HomeController::class, 'triggerModalCart'])->name('triggerModalCart');
Route::get('home', [HomeController::class, 'index'])->name('home');

Route::get('details/{id}', [DirectController::class, 'details'])->name('details.items');
Route::get('item/{id}', [DirectController::class, 'directDetails'])->name('directDetails');
Route::get('category/{id}', [DirectController::class, 'directItemInventory'])->name('directItemsInventory');
Route::get('directInventory/{id}', [DirectController::class, 'directInventory'])->name('directInventory');
Route::get('{id}', [DirectController::class, 'directSubcategoriesWeapons'])->name('directSubCategories');
Route::get('directHomepage/{id}', [DirectController::class, 'directHomepage'])->name('directHomepage');

resources/views/admin/layouts/partials/alert.blade.php
@if (session('status'))
<div class="row justify-content-center">
  <div class="col-sm-4">
    <div class="alert alert-success alert-dismissible fade show" role="alert">
      {{ session('status') }}
      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
  </div>
</div>
@endif
@if (session('warning'))
<div class="row justify-content-center">
  <div class="col-sm-4">
    <div class="alert alert-warning alert-dismissible fade show" role="alert">
      {{ session('warning') }}
      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
  </div>
</div>
@endif
@if (session('info'))
<div class="row justify-content-center">
  <div class="col-sm-4">
    <div class="alert alert-info alert-dismissible fade show" role="alert">
      {{ session('info') }}
      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
  </div>
</div>
@endif
@if (session('danger'))
<div class="row justify-content-center">
  <div class="col-sm-4">
    <div class="alert alert-danger alert-dismissible fade show" role="alert">
      {{ session('danger') }}
      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
  </div>
</div>
@endif

resources/views/admin/layouts/partials/alerts.blade.php
<script>
@if(session('success'))
	$.notify({
		// options
		message: '{{ session('success') }}' 
	},{
		// settings
		type: 'success',		
		placement: {
			align: "right",
			from: 'bottom',
		}
	});
@endif
@if(session('info'))
	$.notify({
		// options
		message: '{{ session('info') }}' 
	},{
		// settings
		type: 'info',		
		placement: {
			align: "right",
			from: 'bottom',
		},
	});
@endif
@if(session('danger'))
	$.notify({
		// options
		message: '{{ session('danger') }}' 
	},{
		// settings
		type: 'danger',
		placement: {
			align: "right",
			from: 'bottom'
		}		
	});
@endif
</script>

resources/views/admin/layouts/partials/footer.blade.php
<footer class="main-footer">
    <strong>Copyright &copy; 2020-{{date('Y')}} Aftafiandi.</strong>
    All rights reserved.
    <div class="float-right d-none d-sm-inline-block">
      <b>Version</b> beta
    </div>
</footer>

resources/views/admin/layouts/partials/head.blade.php
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>{{ $title ?? 'Administrator' }}</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="{{ asset('assets/plugins/fontawesome-free/css/all.min.css') }}">
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <link rel="stylesheet" href="{{ asset('assets/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css') }}"> 
  <link rel="stylesheet" href="{{ asset('assets/dist/css/adminlte.min.css') }}">
  <link rel="stylesheet" href="{{ asset('assets/plugins/overlayScrollbars/css/OverlayScrollbars.min.css') }}">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  

  @stack('styles') 
  
</head>

resources/views/admin/layouts/partials/jquery.blade.php
<script src="{{ asset('assets/plugins/jquery/jquery.min.js') }}"></script>
<script src="{{ asset('assets/plugins/jquery-ui/jquery-ui.min.js') }}"></script>
<script>
  $.widget.bridge('uibutton', $.ui.button)
</script>
<script src="{{ asset('assets/plugins/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
<script src="{{ asset('assets/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js') }}"></script>
<script src="{{ asset('assets/dist/js/adminlte.js') }}"></script>

@stack('jquery')

@stack('scripts')

resources/views/admin/layouts/partials/leftSideBar.blade.php
 <aside class="main-sidebar sidebar-dark-primary elevation-4">

    <a href="{{ route('admin.index') }}" class="brand-link">     
     <img src="{{ asset('storage/assets/logo_infinite.png') }}" alt="infinite-studios" class="brand-image img-rounded elevation-3"
           style="opacity: .8">
      <span class="brand-text font-weight-light text-sm text-uppercase">Props Admin</span>
    </a>

  
    <div class="sidebar">
      
     <div class="user-panel mt-3 pb-3 mb-3 d-flex"> 
        <div class="info">
          <a href="{{ route('home')}}" class="d-block">{{ Auth::user()->name ?? "??" }}</a>
        </div>
      </div>
    
      <nav class="mt-2">
      <div class="user-panel">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">         
          <li class="nav-item has-treeview">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-users"></i>
              <p>
                Management User
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
              <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="{{ route('users.index') }}" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>User</p>
                  </a>
                </li>
                <li class="nav-item">
                  <a href="{{ route('admin.index') }}" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Admin</p>
                    <i class="right fas fa-angle-left"></i>
                  </a>
                </li>
                    
              </ul>                  
          </li>

          <li class="nav-item">
            <a href="{{ route('categories.index') }}" class="nav-link">
              <i class="far fa-circle nav-icon"></i>
              <p>Category</p>
              <i class="right fas fa-angle-left"></i>
            </a>
          </li>
          <li class="nav-item">
            <a href="{{ route('sub-categories.index') }}" class="nav-link">
              <i class="far fa-circle nav-icon"></i>
              <p>sub Category</p>
              <i class="right fas fa-angle-left"></i>
            </a>
          </li>
          <li class="nav-item">
            <a href="{{ route('inventories.index') }}" class="nav-link">
              <i class="far fa-circle nav-icon"></i>
              <p>Data Inventory</p>
              <i class="right fas fa-angle-left"></i>
            </a>
          </li>

         <li class="nav-item">
            <a href="{{ route('bucket.index') }}" class="nav-link">
              <i class="far fa-circle nav-icon"></i>
              <p>Carts</p>
              <i class="right fas fa-angle-left"></i>
            </a>
          </li>
                    
          

        </ul>
        
      </div>        

      </nav>
     
    </div>
  
  </aside>

resources/views/admin/layouts/partials/navbar.blade.php
<nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>          
    </ul>  

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
      <!-- Messages Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <i class='fas fa-ellipsis-v'></i>
        </a>
        <div class="dropdown-menu dropdown-menu-sm dropdown-menu-right text-center">          
          <a class="dropdown-item" href="{{ route('logout') }}"
          onclick="event.preventDefault();
          document.getElementById('logout-form').submit();">
             {{ __('Logout') }}</a>
          <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
          @csrf
          </form>                               
      </li>
    </ul>
  </nav>

resources/views/admin/layouts/partials/style.blade.php
<style>
    body{   
      color: white;
      background-repeat: inherit;
      background-size: auto;
      background-image: url({{ asset('storage/assets/img_background.jpg') }});
    }
    .fontFantasy{
      font-family: "Copperplate", "Papyrus", "fantasy";
    }

    @media screen and (min-width: 601px) {
      .imgLogo{
        max-width: 250px;
      }
    }
    @media screen and (max-width: 600px){
      .imgLogo{
        max-width: 100px;
      }
    }
</style>
@stack('styles')